import request from '@/utils/request'

// 查询工艺路线组成信息列表
export function listBaseRouteProcess(query) {
  return request({
    url: '/mes/baseRouteProcess/list',
    method: 'get',
    params: query
  })
}

// 查询工艺路线组成信息详细
export function getBaseRouteProcess(routeProcessId) {
  return request({
    url: '/mes/baseRouteProcess/' + routeProcessId,
    method: 'get'
  })
}

// 新增工艺路线组成信息
export function addBaseRouteProcess(data) {
  return request({
    url: '/mes/baseRouteProcess',
    method: 'post',
    data: data
  })
}

// 修改工艺路线组成信息
export function updateBaseRouteProcess(data) {
  return request({
    url: '/mes/baseRouteProcess',
    method: 'put',
    data: data
  })
}

// 删除工艺路线组成信息
export function delBaseRouteProcess(routeProcessId) {
  return request({
    url: '/mes/baseRouteProcess/' + routeProcessId,
    method: 'delete'
  })
}
